<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="选择院区" prop="status">
        <el-select v-model="queryParams.status" clearable style="width: 240px">
          <el-option v-for="area in hospitalAreas" :key="area.hospAreaId" :label="area.hospAreaName"
            :value="area.hospAreaId" />
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" size="mini" @click="tongbu(true)">同步字典</el-button>
        <el-button type="primary" size="mini" @click="tongbu(false)">只调用存储过程</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
import { yuanqu, tongbuzidian } from "@/api/system/dict/type";
export default {
  name: "Dict",
  data() {
    return {

      // 显示搜索条件
      showSearch: true,
      // 字典表格数据
      typeList: [],
      // 院区数据
      hospitalAreas: [],
      // 查询参数
      queryParams: {
        status: undefined
      },
      // 表单参数
      form: {},
    };
  },
  created() {
    yuanqu().then((res) => {
      this.hospitalAreas = res.data || [];
      console.log(res);
    });
    this.getList();
  },
  methods: {
    tongbu(t) {
      tongbuzidian(t).then((res) => {
        console.log(res);
      })
    },
    getAreaName(status) {
      const area = this.hospitalAreas.find(area => area.hospAreaId === status);
      return area ? area.hospAreaName : status;
    }
  }
};
</script>
